Package org.apache.sling.scripting.sightly.impl.engine

# Class SightlyCompiledScript

java.lang.Object
javax.script.CompiledScript
org.apache.sling.scripting.sightly.impl.engine.SightlyCompiledScript

public class SightlyCompiledScript extends CompiledScript

## Constructor Summary

Constructors
Constructor
Description
`SightlyCompiledScript(SightlyScriptEngine scriptEngine, org.apache.sling.scripting.sightly.render.RenderUnit renderUnit)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eval(ScriptContext context)`
`ScriptEngine`
`getEngine()`
`org.apache.sling.scripting.sightly.render.RenderUnit`
`getRenderUnit()`

### Methods inherited from class javax.script.CompiledScript

`eval, eval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SightlyCompiledScript

public SightlyCompiledScript(SightlyScriptEngine scriptEngine, org.apache.sling.scripting.sightly.render.RenderUnit renderUnit)

## Method Details

### eval

public Object eval(ScriptContext context)

Specified by:
  `eval` in class `CompiledScript`

### getEngine

public ScriptEngine getEngine()

Specified by:
  `getEngine` in class `CompiledScript`

### getRenderUnit

public org.apache.sling.scripting.sightly.render.RenderUnit getRenderUnit()